Loading...
Searching...
No Matches
libcamera::IPAStream Struct Reference

Stream configuration for the IPA interface. More...

Collaboration diagram for libcamera::IPAStream:
[legend]

## Public Attributes

uint32_t | pixelFormat { 0 }
| The stream pixel format.
Size | size
| The stream size in pixels.

## Detailed Description

Stream configuration for the IPA interface.

The IPAStream structure stores stream configuration parameters needed by the IPAInterface::configure() function. It mirrors the StreamConfiguration class that is not suitable for this purpose due to not being serializable.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/include/libcamera/ipa/core_ipa_interface.h
- obj-x86_64-linux-gnu/src/libcamera/ipa/core_ipa_interface.cpp